---
agentTools:
  projectIndex: https://unpedash.readme.io/llms.txt
---

# Agent onbaord & Kyc

This page will help you get started with Aeps Api.

### Header

| Name         | Type   | Value                                      |
| :----------- | :----- | :----------------------------------------- |
| api-key      | string | (get it from api credentials in api panel) |
| content-type | string | application/json                           |
| accept       | string | application/json                           |

```php php
$header = [  
    'accept: application/json',  
    'api-key: XdWCmd0NF1ZVklnVPegOdL59WkFM7o4h91UYPAt1',  
    'content-type: application/json',  
];
```

### Request Body Parameters

| Name                | Type               | Value                                                              |
| :------------------ | :----------------- | :----------------------------------------------------------------- |
| partner\_id         | integer            | (Get in from api panel you api parner id)                          |
| merchantLoginId     | AplhaNumeric       | Unique merchant code                                               |
| merchantName        | String             | Merchant Name                                                      |
| merchantPhoneNumber | Numeric (10 Digit) | Merchant Mobile Number                                             |
| merchantAddress     | String             | Merchant Address                                                   |
| merchantCityName    | String             | Merchant city                                                      |
| merchantPinCode     | Numeric (6 Digit)  | Merchant pincode                                                   |
| merchantState       | String             | stateid of merchant state , kindly refer get state api for stateid |
| userPan             | String             | Merchant Pancard                                                   |
| merchantAadhar      | Numeric (12 Digit) | Merchant Aadhar                                                    |
| latitude            | String             | Lattitude of merchant                                              |
| longitude           | String             | Longitude of merchant                                              |

```php
$parameter = [
    "partner_id"        => "2",
    "merchantLoginId"   => "GGGG1234",
    "merchantName"      => "Test",
    "merchantPhoneNumber"  => "1234567890",
    "merchantAddress"   => "lucknow",
    "merchantCityName"  => "lucknow",
    "merchantPinCode"   => "226010",
    "merchantState"     => "Uttar Pradesh",
    "userPan"           => "SDSD0000Y",
    "merchantAadhar"    => "123456789012",
    "latitude"          => "28.3443",
    "longitude"         => "75.9887"
]

$body_json_string = json_encode($parameter);
```

### Request Body to be sent in Json

| Name | type   | Value                                               |
| :--- | :----- | :-------------------------------------------------- |
| body | String | Aes Encypted of Json Encoded Body Parameters String |

```php
$request_body = [
    "body" => "93A5D34BEED49E72621EAF6327DE9760F08B20ED38FAB9DE4060FF80F2393F45EC91BF63A8A71407DD2B3DE2F385D718090C7DF5D32455C80D6798719A7B562B6FCAEE44FF105982D8DDD2EAEA70E72FE26F7E792778B96F697407E5C6B0CB177A90CE38C35A1634383E6A764FB2F039301CD80088AF45218F905815A3FFCD958C13C87218C931C63D47ABCE4C2CC91BF0072B62F2C654EA89E8BF704A4243CA552EF40802953FD21BE7EFCDE560B889EAE33FD8EF00FBF88D8AB5490BFE4C0F3B54032A63487415742DA0EE77A1D12E773B356B3D08692079C136107E6810889F34B4C716937DFEA6726FB14FDC6361E99D752C67F6E4A1E12C71EA1E48D7A608306EEDEBCACCC726BB181E45955D78A7CF81CB07E7899D4C34979DFF2C2FA3424BF66C6DA7F795739EE1088D97141BD4AD6C642B3022F880AEDFA60FBDD1A5BC35C9D5A4122587BB1F3A7B886D9C47698C404BF861BAFBEF4BDF409DF0E8C37736BF8B7496E120A081470EF6AD158C4BC4D4FD73AF008FEAC122BD4AD4473D9A853F629D041A6D7313406E2EA9A1EE014E853BF7739353041F3FCDAA94D6930FDD184564FD40B9A6D21ECBF75D6CFA6E3FCF13B548969AC3DFA07910F36968"
];

$final_body = json_encode($request_body);
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Aeps Api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://unpay.in/tech/api/aeps"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "api-key",
        "x-default": "XdWCmd0NF1ZVklnVPegOdL59WkFM7o4h91UYPAt1"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/kyc/onboard": {
      "post": {
        "summary": "Agent onbaord & Kyc",
        "description": "This page will help you get started with Aeps Api.",
        "operationId": "getting-started-with-your-api",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "body": {
                    "type": "string",
                    "default": "93A5D34BEED49E72621EAF6327DE9760F08B20ED38FAB9DE4060FF80F2393F45EC91BF63A8A71407DD2B3DE2F385D718090C7DF5D32455C80D6798719A7B562B6FCAEE44FF105982D8DDD2EAEA70E72FE26F7E792778B96F697407E5C6B0CB177A90CE38C35A1634383E6A764FB2F039301CD80088AF45218F905815A3FFCD958C13C87218C931C63D47ABCE4C2CC91BF0072B62F2C654EA89E8BF704A4243CA552EF40802953FD21BE7EFCDE560B889EAE33FD8EF00FBF88D8AB5490BFE4C0F3B54032A63487415742DA0EE77A1D12E773B356B3D08692079C136107E6810889F34B4C716937DFEA6726FB14FDC6361E99D752C67F6E4A1E12C71EA1E48D7A608306EEDEBCACCC726BB181E45955D78A7CF81CB07E7899D4C34979DFF2C2FA3424BF66C6DA7F795739EE1088D97141BD4AD6C642B3022F880AEDFA60FBDD1A5BC35C9D5A4122587BB1F3A7B886D9C47698C404BF861BAFBEF4BDF409DF0E8C37736BF8B7496E120A081470EF6AD158C4BC4D4FD73AF008FEAC122BD4AD4473D9A853F629D041A6D7313406E2EA9A1EE014E853BF7739353041F3FCDAA94D6930FDD184564FD40B9A6D21ECBF75D6CFA6E3FCF13B548969AC3DFA07910F36968"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "User Onboard Successfully": {
                    "value": "{\n    \"statuscode\": \"TXN\",\n    \"message\": \"User onboard successfully\",\n    \"merchantLoginId\": \"GGGG1234\",\n    \"merchantLoginPin\": \"GGGG1234\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statuscode": {
                      "type": "string",
                      "example": "TXN"
                    },
                    "message": {
                      "type": "string",
                      "example": "User onboard successfully"
                    },
                    "merchantLoginId": {
                      "type": "string",
                      "example": "GGGG1234"
                    },
                    "merchantLoginPin": {
                      "type": "string",
                      "example": "GGGG1234"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"statuscode\": \"ERR\",\n    \"message\": \"Failed Reason\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statuscode": {
                      "type": "string",
                      "example": "ERR"
                    },
                    "message": {
                      "type": "string",
                      "example": "Failed Reason"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "652a3f9c7d4e97005a9ec0cc:652a3f9c7d4e97005a9ec0e6"
}
```